Compare commits

...

3 Commits

Author SHA1 Message Date
Robert Nelson 4b2aa9d31a config: ubuntu is shipping firmware with zstd compression now
Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
2 months ago
Robert Nelson 1079e43b21 config: CONFIG_SENSORS_TVS_MPFS and sync mpfs-beaglev-fire.dts
Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
2 months ago
Robert Nelson 0678ce6fbd rootfs: more error checking, for when the base rootfs is corrupt
Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
2 months ago

@ -75,6 +75,10 @@ if [ -f arch/riscv/configs/mpfs_defconfig ] ; then
./scripts/config --enable CONFIG_SENSORS_TVS_MPFS
./scripts/config --enable CONFIG_FW_LOADER_COMPRESS
./scripts/config --enable CONFIG_FW_LOADER_COMPRESS_XZ
./scripts/config --enable CONFIG_FW_LOADER_COMPRESS_ZSTD
echo "make -j${CORES} ARCH=riscv CROSS_COMPILE=${CC} olddefconfig"
make -j${CORES} ARCH=riscv CROSS_COMPILE=${CC} olddefconfig
else

@ -7,24 +7,33 @@ if ! id | grep -q root; then
fi
wdir=`pwd`
distro="debian"
version="trixie"
codename="trixie"
if [ -f /tmp/latest ] ; then
rm -rf /tmp/latest | true
fi
wget --quiet --directory-prefix=/tmp/ https://rcn-ee.net/rootfs/debian-riscv64-trixie-minimal/latest || true
wget --quiet --directory-prefix=/tmp/ https://rcn-ee.net/rootfs/${distro}-riscv64-${version}-minimal/latest || true
if [ -f /tmp/latest ] ; then
latest_rootfs=$(cat "/tmp/latest")
datestamp=$(cat "/tmp/latest" | awk -F 'riscv64-' '{print $2}' | awk -F '.' '{print $1}')
echo "${datestamp}"
if [ ! -f ./deploy/debian-trixie-console-riscv64-${datestamp}/riscv64-rootfs-debian-trixie.tar ] ; then
if [ ! -f ./deploy/${distro}-${version}-console-riscv64-${datestamp}/riscv64-rootfs-${distro}-${codename}.tar ] ; then
echo "wget [${datestamp}/${latest_rootfs}]"
if [ -f ./.gitlab-runner ] ; then
wget -c --quiet --directory-prefix=./deploy http://192.168.1.98/mirror/rcn-ee.us/rootfs/debian-riscv64-trixie-minimal/${datestamp}/${latest_rootfs}
wget -c --quiet --directory-prefix=./deploy http://192.168.1.98/mirror/rcn-ee.us/rootfs/${distro}-riscv64-${version}-minimal/${datestamp}/${latest_rootfs}
else
wget -c --directory-prefix=./deploy https://rcn-ee.net/rootfs/debian-riscv64-trixie-minimal/${datestamp}/${latest_rootfs}
wget -c --directory-prefix=./deploy https://rcn-ee.net/rootfs/${distro}-riscv64-${version}-minimal/${datestamp}/${latest_rootfs}
fi
cd ./deploy/
tar xf ${latest_rootfs}
cd ../
if [ ! -f ./deploy/${distro}-${version}-console-riscv64-${datestamp}/riscv64-rootfs-${distro}-${codename}.tar ] ; then
echo "Corrupted file?"
exit 2
fi
fi
else
echo "Failure: getting image"
@ -36,8 +45,8 @@ if [ -d ./ignore/.root ] ; then
fi
mkdir -p ./ignore/.root
echo "Extracting: debian-trixie-console-riscv64-${datestamp}/riscv64-rootfs-*.tar"
tar xfp ./deploy/debian-trixie-console-riscv64-${datestamp}/riscv64-rootfs-*.tar -C ./ignore/.root
echo "Extracting: ${distro}-${version}-console-riscv64-${datestamp}/riscv64-rootfs-${distro}-${codename}.tar"
tar xfp ./deploy/${distro}-${version}-console-riscv64-${datestamp}/riscv64-rootfs-${distro}-${codename}.tar -C ./ignore/.root
sync
mkdir -p ./deploy/input/ || true
@ -93,3 +102,4 @@ mkfs.ext4 -F ./deploy/input/root.ext4 -d ./ignore/.root
if [ -f ./.06_generate_root.sh ] ; then
rm -f ./.06_generate_root.sh || true
fi
#

@ -7,24 +7,33 @@ if ! id | grep -q root; then
fi
wdir=`pwd`
distro="ubuntu"
version="24.04"
codename="noble"
if [ -f /tmp/latest ] ; then
rm -rf /tmp/latest | true
fi
wget --quiet --directory-prefix=/tmp/ https://rcn-ee.net/rootfs/ubuntu-riscv64-24.04-minimal/latest || true
wget --quiet --directory-prefix=/tmp/ https://rcn-ee.net/rootfs/${distro}-riscv64-${version}-minimal/latest || true
if [ -f /tmp/latest ] ; then
latest_rootfs=$(cat "/tmp/latest")
datestamp=$(cat "/tmp/latest" | awk -F 'riscv64-' '{print $2}' | awk -F '.' '{print $1}')
echo "${datestamp}"
if [ ! -f ./deploy/ubuntu-24.04-console-riscv64-${datestamp}/riscv64-rootfs-ubuntu-noble.tar ] ; then
if [ ! -f ./deploy/${distro}-${version}-console-riscv64-${datestamp}/riscv64-rootfs-${distro}-${codename}.tar ] ; then
echo "wget [${datestamp}/${latest_rootfs}]"
if [ -f ./.gitlab-runner ] ; then
wget -c --quiet --directory-prefix=./deploy http://192.168.1.98/mirror/rcn-ee.us/rootfs/ubuntu-riscv64-24.04-minimal/${datestamp}/${latest_rootfs}
wget -c --quiet --directory-prefix=./deploy http://192.168.1.98/mirror/rcn-ee.us/rootfs/${distro}-riscv64-${version}-minimal/${datestamp}/${latest_rootfs}
else
wget -c --directory-prefix=./deploy https://rcn-ee.net/rootfs/ubuntu-riscv64-24.04-minimal/${datestamp}/${latest_rootfs}
wget -c --directory-prefix=./deploy https://rcn-ee.net/rootfs/${distro}-riscv64-${version}-minimal/${datestamp}/${latest_rootfs}
fi
cd ./deploy/
tar xf ${latest_rootfs}
cd ../
if [ ! -f ./deploy/${distro}-${version}-console-riscv64-${datestamp}/riscv64-rootfs-${distro}-${codename}.tar ] ; then
echo "Corrupted file?"
exit 2
fi
fi
else
echo "Failure: getting image"
@ -36,8 +45,8 @@ if [ -d ./ignore/.root ] ; then
fi
mkdir -p ./ignore/.root
echo "Extracting: ubuntu-24.04-console-riscv64-${datestamp}/riscv64-rootfs-ubuntu-noble.tar"
tar xfp ./deploy/ubuntu-24.04-console-riscv64-${datestamp}/riscv64-rootfs-ubuntu-noble.tar -C ./ignore/.root
echo "Extracting: ${distro}-${version}-console-riscv64-${datestamp}/riscv64-rootfs-${distro}-${codename}.tar"
tar xfp ./deploy/${distro}-${version}-console-riscv64-${datestamp}/riscv64-rootfs-${distro}-${codename}.tar -C ./ignore/.root
sync
mkdir -p ./deploy/input/ || true
@ -93,3 +102,4 @@ mkfs.ext4 -F ./deploy/input/root.ext4 -d ./ignore/.root
if [ -f ./.06_generate_root.sh ] ; then
rm -f ./.06_generate_root.sh || true
fi
#

@ -132,7 +132,7 @@
sd_card_cs {
gpio-hog;
gpios = <12 12>;
output_high;
output-high;
line-name = "SD_CARD_CS";
};
};
@ -184,7 +184,7 @@
vio_enable {
gpio-hog;
gpios = <30 30>;
output_high;
output-high;
line-name = "VIO_ENABLE";
};

@ -1535,7 +1535,9 @@ CONFIG_EXTRA_FIRMWARE="regulatory.db regulatory.db.p7s"
CONFIG_EXTRA_FIRMWARE_DIR="firmware"
CONFIG_FW_LOADER_USER_HELPER=y
# CONFIG_FW_LOADER_USER_HELPER_FALLBACK is not set
# CONFIG_FW_LOADER_COMPRESS is not set
CONFIG_FW_LOADER_COMPRESS=y
CONFIG_FW_LOADER_COMPRESS_XZ=y
CONFIG_FW_LOADER_COMPRESS_ZSTD=y
# CONFIG_FW_UPLOAD is not set
# end of Firmware loader
@ -3297,6 +3299,7 @@ CONFIG_SENSORS_PMBUS=m
# CONFIG_SENSORS_TMP421 is not set
# CONFIG_SENSORS_TMP464 is not set
# CONFIG_SENSORS_TMP513 is not set
CONFIG_SENSORS_TVS_MPFS=y
# CONFIG_SENSORS_VIA686A is not set
# CONFIG_SENSORS_VT1211 is not set
# CONFIG_SENSORS_VT8231 is not set

Loading…
Cancel
Save